| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]

# Method RegGetValues()

Method RegGetValues

  `mapping(string:string|int|array(string)) RegGetValues(int hkey, string key)`

Description

  Get multiple values from the register.

Parameter `hkey`

  One of the following:

  `HKEY_CLASSES_ROOT`
  `HKEY_LOCAL_MACHINE`
  `HKEY_CURRENT_USER`
  `HKEY_USERS`

Parameter `key`

  Registry key.

Returns

  Returns a mapping with all the values stored at the specified location in the register if any. Returns `UNDEFINED` on missing key . Throws errors on other failures.

Example

      > RegGetValues(HKEY_CURRENT_USER, "Keyboard Layout\\Preload");
      (5) Result: ([
        "1":"0000041d"
       ])

Note

  This function threw errors on missing key in Pike 7.6 and earlier (see System.RegGetValues_76() ).

Note

  This function is only available on Win32 systems.

See also

  RegGetValue() , RegGetKeyNames() , System.RegGetValues_76()